Subject: Re: git ls-files handles paths differently in Windows and Mac (probably Linux)

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Oct 2010 04:20:39 -0700 (PDT)

Kirill Likhodedov <[email-masked]> writes:
> 12.10.2010, в 19:25, Alex Riesen написал(а):

> > [..]. What are you trying to do, BTW?
> 
> I'm developing a plugin for Git integration for IntelliJ IDEA (an IDE for
> Java and other languages).
>
> And the task I'm working now is to get the status of index and working
> tree. I want to make it as fast as possible.  To work with a Git
> repository I start a process with git native commands, so every command to
> execute is additional cost.  (Maybe I could work with the filesystem and
> raw Git repository, but it would be an overhead).

Isn't IntelliJ IDEA written itself in Java?  Perhaps you could use JGit, the
Java implementation of Git (though it is not complete implementation yet, if
I remember correctly).  It is EDL (new-style BSD) licensed, and is used by
Eclipse and NetBeans.

-- 
Jakub Narebski
Poland
ShadeHawk on #git